Skip to main content
PUT
/
api
/
customer
/
{customerId}
/
document
/
{documentId}
/
ocr
updateOcrResult
curl --request PUT \
  --url https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}/ocr \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Domain-ID: <x-domain-id>' \
  --data '
{
  "error": "<string>",
  "result": {
    "race": "<string>",
    "gender": "<string>",
    "status": "<string>",
    "address": "<string>",
    "domicile": "<string>",
    "employer": "<string>",
    "full_name": "<string>",
    "full_name2": "<string>",
    "last_name": "<string>",
    "birth date": "2023-12-25",
    "final hash": "<string>",
    "first_name": "<string>",
    "identifier": "<string>",
    "issue_date": "2023-12-25",
    "profession": "<string>",
    "expiry date": "<string>",
    "expiry_date": "<string>",
    "nationality": "<string>",
    "date_of_birth": "<string>",
    "document_type": "<string>",
    "optional_data": "<string>",
    "ignored_fields": [
      "<string>"
    ],
    "missing_fields": [
      {}
    ],
    "mrz_raw_string": "<string>",
    "birth date hash": "<string>",
    "document_number": "<string>",
    "issuing_country": "<string>",
    "passport_number": "<string>",
    "country_of_birth": "<string>",
    "expiry date hash": "<string>",
    "optional data hash": "<string>",
    "personal_id_number": "<string>",
    "valid country code": "<string>",
    "valid genre format": "<string>",
    "document number hash": "<string>",
    "document type format": "<string>",
    "optional data format": "<string>",
    "passport_expiry_date": "<string>",
    "document number format": "<string>",
    "valid nationality code": "<string>"
  },
  "task_id": "<string>",
  "description": "<string>",
  "status_task": "<string>"
}
'
import requests

url = "https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}/ocr"

payload = {
"error": "<string>",
"result": {
"race": "<string>",
"gender": "<string>",
"status": "<string>",
"address": "<string>",
"domicile": "<string>",
"employer": "<string>",
"full_name": "<string>",
"full_name2": "<string>",
"last_name": "<string>",
"birth date": "2023-12-25",
"final hash": "<string>",
"first_name": "<string>",
"identifier": "<string>",
"issue_date": "2023-12-25",
"profession": "<string>",
"expiry date": "<string>",
"expiry_date": "<string>",
"nationality": "<string>",
"date_of_birth": "<string>",
"document_type": "<string>",
"optional_data": "<string>",
"ignored_fields": ["<string>"],
"missing_fields": [{}],
"mrz_raw_string": "<string>",
"birth date hash": "<string>",
"document_number": "<string>",
"issuing_country": "<string>",
"passport_number": "<string>",
"country_of_birth": "<string>",
"expiry date hash": "<string>",
"optional data hash": "<string>",
"personal_id_number": "<string>",
"valid country code": "<string>",
"valid genre format": "<string>",
"document number hash": "<string>",
"document type format": "<string>",
"optional data format": "<string>",
"passport_expiry_date": "<string>",
"document number format": "<string>",
"valid nationality code": "<string>"
},
"task_id": "<string>",
"description": "<string>",
"status_task": "<string>"
}
headers = {
"X-Domain-ID": "<x-domain-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'X-Domain-ID': '<x-domain-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
error: '<string>',
result: {
race: '<string>',
gender: '<string>',
status: '<string>',
address: '<string>',
domicile: '<string>',
employer: '<string>',
full_name: '<string>',
full_name2: '<string>',
last_name: '<string>',
'birth date': '2023-12-25',
'final hash': '<string>',
first_name: '<string>',
identifier: '<string>',
issue_date: '2023-12-25',
profession: '<string>',
'expiry date': '<string>',
expiry_date: '<string>',
nationality: '<string>',
date_of_birth: '<string>',
document_type: '<string>',
optional_data: '<string>',
ignored_fields: ['<string>'],
missing_fields: [{}],
mrz_raw_string: '<string>',
'birth date hash': '<string>',
document_number: '<string>',
issuing_country: '<string>',
passport_number: '<string>',
country_of_birth: '<string>',
'expiry date hash': '<string>',
'optional data hash': '<string>',
personal_id_number: '<string>',
'valid country code': '<string>',
'valid genre format': '<string>',
'document number hash': '<string>',
'document type format': '<string>',
'optional data format': '<string>',
passport_expiry_date: '<string>',
'document number format': '<string>',
'valid nationality code': '<string>'
},
task_id: '<string>',
description: '<string>',
status_task: '<string>'
})
};

fetch('https://api.artemis.cynopsis.co/api/customer/{customerId}/document/{documentId}/ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "updatedBy": {
    "email": "<string>",
    "firstName": "<string>",
    "fullName": "<string>",
    "id": 123,
    "lastName": "<string>"
  },
  "customerId": 123,
  "frontName": "<string>",
  "backName": "<string>",
  "type": "<string>",
  "number": "<string>",
  "authenticity": "<string>",
  "issueDate": "2023-12-25",
  "expiryDate": "2023-12-25",
  "showExpiryNotification": true,
  "front": "<string>",
  "back": "<string>",
  "faceCompare": {},
  "liveness": {},
  "other": {},
  "allowedDocumentFormat": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Domain-ID
integer<int64>
required

X-Domain-ID

Path Parameters

customerId
integer<int64>
required

customerId

documentId
integer<int64>
required

documentId

Body

application/json

OcrResultRequestDto

error
string
result
AresOcrResultDto · object
task_id
string
description
string
status_task
string

Response

OK

id
integer<int64>
createdAt
string<date-time>
updatedAt
string<date-time>
createdBy
UserInfo · object
updatedBy
UserInfo · object
customerId
integer<int64>
frontName
string
backName
string
type
string
number
string
authenticity
string
issueDate
string<date>
expiryDate
string<date>
showExpiryNotification
boolean
front
string
back
string
docverCheckStatus
enum<string>
Available options:
PERFORMED,
NOT_PERFORMED
faceCompare
object
liveness
object
other
object
allowedDocumentFormat
boolean